.primary__btn {
  cursor: pointer;
  border-radius: 250px;
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  transition: 0.2s ease-out;
  position: relative;
  overflow: hidden;

  &:hover {
    border-color: #ffc76d;
    color: #fefefe;
    transition: 0.2s ease-out;
  }

  span {
    position: relative;
  }

  &::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 310%;
    background: #ffc76d;
    transform: rotate(-25deg);
    left: -90%;
    top: 100%;
  }

  &:hover::before {
    top: -100%;
    left: 0%;
    animation: shadow-background 0.8s ease-in-out;
  }

  @keyframes shadow-background {
    0% {
      top: 100%;
      left: -90%;
    }
    30% {
      top: -130%;
      left: 20%;
    }
    60% {
      top: -90%;
      left: -10%;
    }
    100% {
      top: -100%;
      left: 0%;
    }
  }
}

@media screen and (max-width: 600px) {
  .primary__btn {
    font-size: 14px;
  }
}
